import {
    Button,
    DialogContent,
    DialogTitle,
    Stack,
    TextField,
} from '@mui/material'
import { useFormik } from 'formik'
import { Fragment } from 'react'
import ButtonOpenableDialog from '../Reusables/ButtonOpenableDialog'
import SendIcon from '@mui/icons-material/Send'
import ClearIcon from '@mui/icons-material/Clear'

const PlaintextUpload = () => {
    const formik = useFormik({
        initialValues: {
            text: '',
        },
        onSubmit: () => {
        },
    })

    const resetForm = () => {
        formik.resetForm()
    }

    return (
        <Fragment>
            <ButtonOpenableDialog
                buttonText="Plaintext"
                buttonColor="primary"
                buttonVariant="contained"
            >
                <DialogTitle>Plaintext Input</DialogTitle>
                <DialogContent>
                    <form onSubmit={formik.handleChange}>
                        <TextField
                            sx={{ my: 2 }}
                            fullWidth
                            multiline
                            label="Plaintext input"
                            rows={10}
                            name="text"
                            value={formik.values.text}
                            onChange={formik.handleChange}
                        />
                        <Stack
                            alignItems="flex-end"
                            justifyContent="flex-end"
                            spacing={2}
                            direction="row"
                        >
                            <Button
                                variant="contained"
                                color="secondary"
                                onClick={resetForm}
                                startIcon={<ClearIcon />}
                            >
                                Clear
                            </Button>
                            <Button type="submit" variant="contained" startIcon={<SendIcon />}>
                                Submit
                            </Button>
                        </Stack>
                    </form>
                </DialogContent>
            </ButtonOpenableDialog>
        </Fragment>
    )
}

export default PlaintextUpload
